Package skyview.survey

# Class XMLSurvey

java.lang.Object
skyview.survey.XMLSurvey

All Implemented Interfaces:
  `Serializable`, `Component`, `Survey`

public class XMLSurvey extends Object implements Survey
This class defines a survey based upon an XML file which contains the metadata and image information for the survey.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`XMLSurvey.ImageFinderCallBack`
The class the is called to find images in the Survey XML file.

## Constructor Summary

Constructors
Constructor
Description
`XMLSurvey(String file)`
Create a survey whose characteristics are given in an XML file.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(SAXParser sp, DefaultHandler handler)`
Run a parser
`String`
`getDescription()`
Get a description of the component
`protected XMLSurvey.ImageFinderCallBack`
`getFinderCallBack(Position pos, double size, double scale, boolean needImages)`
`Image[]`
`getImages(Position pos, double size, double scale)`
Find candidate images from this survey.
`Map<String,String>`
`getMetadata()`
Get the metadata for the survey
`String`
`getName()`
Get the name of the compontent
`static Reader`
`getSurveyReader(String file)`
Get a buffered reader associated with the survey given a string name.
`void`
`updateHeader(nom.tam.fits.Header h)`
Update a FITS header with information from the XML file
`void`
`updateSettings()`
Update the system settings

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLSurvey

public XMLSurvey(String file)
Create a survey whose characteristics are given in an XML file.

## Method Details

### getName

public String getName()
Get the name of the compontent

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Get a description of the component

Specified by:
  `getDescription` in interface `Component`

### getImages

public Image[] getImages(Position pos, double size, double scale) throws Exception
Find candidate images from this survey.

Specified by:
  `getImages` in interface `Survey`
Parameters:
  `pos` - A position object.
  `size` - The size (in radians) over which we should look for candidates.
Throws:
  `Exception`

### getFinderCallBack

protected XMLSurvey.ImageFinderCallBack getFinderCallBack(Position pos, double size, double scale, boolean needImages)

### updateHeader

public void updateHeader(nom.tam.fits.Header h)
Update a FITS header with information from the XML file

Specified by:
  `updateHeader` in interface `Survey`

### getMetadata

public Map<String,String> getMetadata()
Get the metadata for the survey

### updateSettings

public void updateSettings()
Update the system settings

Specified by:
  `updateSettings` in interface `Survey`

### doParse

protected void doParse(SAXParser sp, DefaultHandler handler) throws Exception
Run a parser

Throws:
  `Exception`

### getSurveyReader

public static Reader getSurveyReader(String file) throws IOException
Get a buffered reader associated with the survey given a string name. If the name includes a ? it is assumed that the stream should be filtered.

Throws:
  `IOException`